Bug 1010445 - Letters and icons missing/invisible in GUI
Letters and icons missing/invisible in GUI
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
i386 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 15:22 EDT by Paul
Modified: 2016-04-11 15:31 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:16:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of Settings dialog (173.44 KB, image/png)
2013-09-20 15:22 EDT, Paul
no flags Details
letters-missing-qemu-vnc-emacs.png (197.15 KB, image/png)
2013-09-30 04:11 EDT, Mike FABIAN
no flags Details
letters-missing-firefox-wikipedia.png (196.18 KB, image/png)
2013-09-30 04:16 EDT, Mike FABIAN
no flags Details
letters-missing-emacs.png (145.31 KB, image/png)
2013-09-30 04:21 EDT, Mike FABIAN
no flags Details

  None (edit)
Description Paul 2013-09-20 15:22:53 EDT
Created attachment 800649 [details]
screen shot of Settings dialog

Description of problem:
Letters on the display are missing, Firefox icon displays as  "F r fox". The icons are sometimes invisible. The icon buttons are there but are invisible unless I pass the mouse cursor over them.

Version-Release number of selected component (if applicable):
fedora-19-1-DVD

How reproducible:
The issue manifests on every screen in the GUI.

Steps to Reproduce:
1. Boot up.
2. Click on any icon.
3.

Actual results:
Text is illegible. See attached screen shot.

Expected results:
Text should display as normal.

Additional info:
Bug appears to be similar to ticket #745202. Additional reports can be found at https://ask.fedoraproject.org/question/32041/fedora-19-has-faulty-desktop-display/

output from lspci follows:
00:00.0 Host bridge: Intel Corporation 82845G/GL[Brookdale-G]/GE/PE DRAM Controller/Host-Hub Interface (rev 01)
00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01)
00:1d.0 USB controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 01)
00:1d.1 USB controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 01)
00:1d.2 USB controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 01)
00:1d.7 USB controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corporation 82801DB/DBL (ICH4/ICH4-L) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801DB (ICH4) IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 01)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)
01:09.0 Network controller: Ralink corp. RT2561/RT61 802.11g PCI
01:0c.0 Ethernet controller: Intel Corporation 82540EM Gigabit Ethernet Controller (rev 02)

output from uname follows:
3.11.1-200.fc19.i686.PAE

Hope this helps. Email me if you have further questions.

Dell Optiplex GX260
2.0 GiB RAM
Intel® Celeron(R) CPU 2.00GHz 
32-bit
Intel® 845G
Version 3.8.4
24.1 GB
Comment 1 Mike FABIAN 2013-09-30 03:58:45 EDT
I just wanted to report this myself for Fedora 20, then I found this bug here.
It doesn’t seem to depend on the graphics hardware, I see this in 
qemu with qxl/spice and also with qemu and vnc.
Comment 2 Mike FABIAN 2013-09-30 04:11:04 EDT
Created attachment 804974 [details]
letters-missing-qemu-vnc-emacs.png

Screen shot from Fedora 20 Alpha running in qemu, showing the same problem.

Especially interesting in that screen shot is that I see the problem
even in the Emacs *buffer* there, although Emacs does not even
use GTK+ for rendering in the buffer.

There are missing letters in the menu and title bar of Emacs as well,
but that could still be GTK+/Gnome related.

But in the Emacs *buffer*‽

That is really surprising!
Comment 3 Mike FABIAN 2013-09-30 04:16:44 EDT
Created attachment 804976 [details]
letters-missing-firefox-wikipedia.png

Another screenshot from Fedora 20 in qemu using vnc.

Many characters are missing in everywhere, also in the regular text of
the Wikipedia page shown in firefox.
Comment 4 Mike FABIAN 2013-09-30 04:21:21 EDT
Created attachment 804978 [details]
letters-missing-emacs.png

Yet another screenshot from Fedora 20 Alpha showing an Emacs buffer
where almost all of the glyphs are missing.

This is some Python source code with syntax highlighting.
Black text is gone completely, some text in other colors like red
for strings or blue for some keywords remains.
Comment 5 Mike FABIAN 2013-09-30 04:38:15 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=974198
(missing letters on various anaconda screens with spice graphics)

looks very similar.

See https://bugzilla.redhat.com/attachment.cgi?id=761390

bug#974198 is supposed to be fixed though, I wonder whether this
is really fixed because what I see in F20 Alpha looks so similar.
Comment 6 Jens Petersen 2013-09-30 04:42:53 EDT
Mike: did you say you saw this on bare intel hw too?
Comment 7 Mike FABIAN 2013-09-30 05:02:06 EDT
Yes, I see this from time to time on my "real" machine with Intel hardware
as well. *Very* hard to reproduce though. If I restart everything
on my Intel hardware machine the problem is gone and it may take weeks
until I run into that problem again. Therefore I didn’t report this yet
because it was so irreproducible on my Intel hardware, only very occasionally
it “happens” and I could never reproduce it on purpose.

On Fedora 20 in qemu, it is rather easy for me to reproduce though.
I still can not give an exact procedure how to reproduce it, but
starting a gnome session, opening a few windows of various applications,
opening Firefox with lots of tabs, starting Emacs with a few buffers using
many glyphs, ... doing this I can usually reproduce it after a few minutes
testing gnome in F20 qemu.
Comment 8 Mike FABIAN 2013-09-30 08:06:15 EDT
(In reply to Mike FABIAN from comment #5)
> https://bugzilla.redhat.com/show_bug.cgi?id=974198
> (missing letters on various anaconda screens with spice graphics)
> 
> looks very similar.
> 
> See https://bugzilla.redhat.com/attachment.cgi?id=761390
> 
> bug#974198 is supposed to be fixed though, I wonder whether this
> is really fixed because what I see in F20 Alpha looks so similar.

Dave Airlie tells me, the fix for this bug is not in F20 yet.
So this could be related.

https://bugzilla.redhat.com/show_bug.cgi?id=974198#c19 says:

bug#974198, comment#19> [    14.230] qxl_kms_surface_create: Bad bpp: 1 (1)
bug#974198, comment#19> [    14.231] qxl_kms_surface_create: Bad bpp: 1 (1)
bug#974198, comment#19> [    14.231] qxl_kms_surface_create: Bad bpp: 1 (1)

I see the same messages also in F20 in /var/log/Xorg.0.log
Comment 9 Mike FABIAN 2013-10-15 09:00:38 EDT
I still see this in Fedora 20 Beta TC3, see screenshot in
https://bugzilla.redhat.com/show_bug.cgi?id=1019298#c2
(cinnamon desktop)
Comment 10 Fedora End Of Life 2015-01-09 14:54:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-17 12:16:18 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.